Compilation: VS2002

Aug 9, 2010 at 8:34 AM

Dears,

I would like to build vld2.0a in VS2002 environment.

The souce code available (VCC project) is not compatible with the old version vs2002.

Please, can you help me?

Kind regards,

Paulo

Developer
Aug 9, 2010 at 1:42 PM
Do you mean VS 2003? You should be able to just create a solution and add the files manually. I am not aware of a software able to convert from VS2008 to VS2003. For VS2008 to VS2005, most of the time just changing version in the solution from 10 to 9 or 9 to 8 in the vcproj does it. I don't remember if the same thing would work with VS2003 probably changing to 8 in the solution and 7 in the vcproj. Laurent.
Aug 9, 2010 at 3:28 PM

Hello,

thanks for the reply.

Actually, it is VS2002 (Version 7.0.9466).

I tried to change the version directly on the vcproj file, but it does not work.

 

Kind regards,

Paulo

Aug 9, 2010 at 4:05 PM

If I try to create manually the project and add the files, I have the following error:

c:\Program Files\Visual Leak Detector\vld\stdafx.h(8): fatal error C1083: Cannot open include file: 'winternl.h': No such file or directory

 

Kind regards,

Paulo

 

Developer
Aug 15, 2010 at 12:49 AM

You should perhaps try to install the Platform SDK. It seems that this file was added into a Microsoft SDK in 2002 so it might not be present in the VS2002.

With a recent platform SDK, you are likely to get it . You will need to set the include path to the platform SDK directories too.

 

Laurent.